<!DOCTYPE html>
<html layout:decorator="lecturer/index" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">

        <h1 th:text="#{lecturer.courses.label}">Courses</h1>

        <ul class="collection z-depth-1">

            <li class="collection-item" th:if="${#lists.isEmpty(allCourses)}" th:text="#{lecturer.courses.none}"></li>

            <li class="collection-item" th:each="course : ${allCourses}">
                <a class="secondary-content" th:href="@{/lecturer/editCourse(courseId=__${course.id}__)}"><i
                        class="material-icons tooltipped" th:attr="data-tooltip=#{lecturer.courses.edit}">edit</i></a>
                <a class="title teal-text" th:href="@{/lecturer/course-details(courseId=__${course.id}__)}"
                   th:text="${course.subject.name}"></a>
                <a class="secondary-content modal-trigger" th:href="'#delete-confirm-' + ${course.id}"><i
                        class="material-icons tooltipped"
                        th:attr="data-tooltip=#{lecturer.course.removeCourse}">delete</i></a>
                <div th:text="${course.semester.label} + ', ' + ${course.subject.ects} + ' ECTS'"></div>

                <!-- Delete confirmation modal -->
                <div class="modal small" th:id="'delete-confirm-' + ${course.id}">
                    <div class="modal-content">
                        <h4 th:text="#{admin.course.remove.modal.header}"></h4>
                        <p th:text="#{admin.course.remove.modal.content(${course.getSubject().getName()})}"></p>
                    </div>
                    <div class="modal-footer">
                        <form method="post"
                              th:action="@{/lecturer/editCourse/remove(courseId=__${course.id}__)}"
                              th:id="'deleteCourseForm-' + ${course.id}">
                            <a class="modal-action modal-close btn"
                               th:onclick="'$(\'#deleteCourseForm-' + ${course.id} + '\').submit()'"
                               th:text="#{remove}"></a>
                            <a class="modal-action modal-close waves-effect btn-flat" th:text="#{cancel}"></a>
                        </form>
                    </div>
                </div>
            </li>
        </ul>

    </div>
</main>

</body>
</html>
